com.threerings.stage.tools.editor.util

## Interface EditorContext

All Superinterfaces:
  com.threerings.miso.util.MisoContext, StageContext

    public interface EditorContext
    extends StageContext

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `enumerateSceneTypes(List<String> types)` Inserts all known scene types into the supplied list.
`com.threerings.media.image.ColorPository` `getColorPository()` Returns a colorization repository for use by the editor.
`com.threerings.media.tile.TileSetRepository` `getTileSetRepository()` Return a reference to the tile set repository in use by the tile manager.

### Methods inherited from interface com.threerings.stage.util.StageContext

`getComponentRepository, getImageManager, getKeyboardManager, getKeyDispatcher, getMessageManager, getResourceManager, xlate, xlate`

### Methods inherited from interface com.threerings.miso.util.MisoContext

`getFrameManager, getTileManager`

### Method Detail

#### getTileSetRepository

    com.threerings.media.tile.TileSetRepository getTileSetRepository()

Return a reference to the tile set repository in use by the tile manager. This reference is valid for the lifetime of the application.

#### getColorPository

    com.threerings.media.image.ColorPository getColorPository()

Returns a colorization repository for use by the editor.

Specified by:
  `getColorPository` in interface `StageContext`

#### enumerateSceneTypes

    void enumerateSceneTypes(List<String> types)

Inserts all known scene types into the supplied list.